Date: Fri, 17 Jan 1997 14:59:44 +0100 (MET)
From: Juergen Orschiedt <orschied@kassandra.zx.basf-ag.de>
Subject: L68K: Additional patches for 2.1.21
To: linux-m68k@phil.uni-sb.de
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: juergen.orschiedt@zx.basf-ag.de


Hi,

The following patch is for Atari's acsi.c

--- linux-2.1.21/drivers/block/acsi.c.org	Thu Jan 16 22:12:39 1997
+++ linux-2.1.21/drivers/block/acsi.c	Thu Jan 16 22:19:10 1997
@@ -43,8 +43,6 @@
  *
  */
 
-#include <linux/module.h>
-
 #define MAJOR_NR ACSI_MAJOR
 
 #include <linux/config.h>
@@ -1629,33 +1627,23 @@
 	return DEV_SUPPORTED;
 }
 
-#ifdef CONFIG_ATARI_SLM_MODULE
-void acsi_attach_SLMs( int (*attach_func)( int, int ) );
-#endif
+	EXPORT_SYMBOL(acsi_delay_start),
+	EXPORT_SYMBOL(acsi_delay_end),
+	EXPORT_SYMBOL(acsi_wait_for_IRQ),
+	EXPORT_SYMBOL(acsi_wait_for_noIRQ),
+	EXPORT_SYMBOL(acsicmd_nodma),
+	EXPORT_SYMBOL(acsi_getstatus),
+	EXPORT_SYMBOL(acsi_buffer),
+	EXPORT_SYMBOL(phys_acsi_buffer),
 
-static struct symbol_table acsi_symbol_table =
-{
-#include <linux/symtab_begin.h>
-
-	X(acsi_delay_start),
-	X(acsi_delay_end),
-	X(acsi_wait_for_IRQ),
-	X(acsi_wait_for_noIRQ),
-	X(acsicmd_nodma),
-	X(acsi_getstatus),
-	X(acsi_buffer),
-	X(phys_acsi_buffer),
 #ifdef CONFIG_ATARI_SLM_MODULE
-	X(acsi_extstatus),
-	X(acsi_end_extstatus),
-	X(acsi_extcmd),
-	X(acsi_attach_SLMs),
-#endif
+void acsi_attach_SLMs( int (*attach_func)( int, int ) );
 
-#include <linux/symtab_end.h>
-};
+	EXPORT_SYMBOL(acsi_extstatus),
+	EXPORT_SYMBOL(acsi_end_extstatus),
+	EXPORT_SYMBOL(acsi_extcmd),
+	EXPORT_SYMBOL(acsi_attach_SLMs),
 
-#ifdef CONFIG_ATARI_SLM_MODULE
 /* to remember IDs of SLM devices, SLM module is loaded later
  * (index is target#, contents is lun#, -1 means "no SLM") */
 int SLM_devices[8];
@@ -1751,7 +1739,6 @@
 	for( i = 0; i < (MAX_DEV << 4); i++ )
 		acsi_blocksizes[i] = 1024;
 	blksize_size[MAJOR_NR] = acsi_blocksizes;
-	register_symtab (&acsi_symbol_table);
 }
 
 #ifdef CONFIG_ATARI_SLM_MODULE


